const { checkPluginExist } = require("./utils");
const mainImportInit = require("./mainImportInit");
/**
 * 检测是否存在 plugins 目录 ，否则并初始化 plugins/index
 * @param {*} api
 */
module.exports = (api) => {
  const isPluginExist = checkPluginExist();

  const isTs = api.hasPlugin("typescript");

  if (!isPluginExist) {
    mainImportInit(api, "./plugins", "pluginInstall", [], "pluginInstall");
    if (isTs) {
      api.render("../generator/template-plugin/ts", {});
    } else {
      api.render("../generator/template-plugin/js", {});
    }
  }
};
